Subject: Re: Out of memory error during git push

From: Thomas Jampen <[email-masked]>
Date: Fri, 20 Aug 2010 16:26:17 +0200 (CEST)

Hi

>> I'm experiencing the following error while pushing a git repo (home
>> directory) to my QNAP TS-210:
>>
>> user@mypc:~$ git push origin master
>> Counting objects: 12532, done.
>> Delta compression using up to 2 threads.
>> Compressing objects: 100% (8974/8974), done.
>> fatal: Out of memory, malloc failed, 986.06 MiB | 1.65 MiB/s
>> error: pack-objects died of signal 13
> 
> What version of git are you using?  Do you have overcommit accounting
> enabled?

I'm using git version 1.7.0.4 on my Kubuntu 10.04 Laptop and git version
1.7.1.1 on my QNAP NAS.

On my Laptop and on the NAS, when I execute: sudo sysctl vm.overcommit_memory
I get:
vm.overcommit_memory = 0

Do you propose to set this to '2' in order to disable overcommitting? If yes, where (on the Laptop and/or on the NAS)?

Thanks,
Tom